/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */

#ifndef EDITRADINFO_H
#define EDITRADINFO_H

#include <QWidget>
#include <QDialog>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLineEdit>
#include <QVBoxLayout>
#include <QLabel>
#include <QRegExpValidator>
#include "../hvinle.h"


class EditRadInfo : public QDialog
{
    Q_OBJECT
public:
    EditRadInfo(QWidget *parent = 0);
    virtual ~EditRadInfo();

signals:
    void EmitSetInfo(QStringList,int);
	
public slots:
    void SetEditStInfo(QStringList,int);
	    
private slots:
   void ApplayInfo();
    
private:
   QLineEdit *ant;
   //HvInLeFreq *frq;
   QVBoxLayout *VB_Freq = new QVBoxLayout();
   QLabel *l_band;
   QPushButton *pb_applay_info;
   QPushButton *pb_cancel_info;
   int s_edit_index;

};
#endif
